Block a user
davis (latest)
Published 2026-05-16 21:29:51 +02:00 by lukas
Installation
docker pull gitea.ltrk.dev/lukas/davis:latestsha256:5bb8605a857b5dff6ad415c53c1d497eb4a4daae9e034731fb4ecc6110b15792
About this package
A simple, fully translatable admin interface for sabre/dav based on Symfony 7 and Bootstrap 5 (Standalone version with reverse-proxy)
Image Layers
| ADD alpine-minirootfs-3.23.4-x86_64.tar.gz / # buildkit |
| CMD ["/bin/sh"] |
| ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c |
| RUN /bin/sh -c apk add --no-cache ca-certificates curl openssl tar xz # buildkit |
| RUN /bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data # buildkit |
| ENV PHP_INI_DIR=/usr/local/etc/php |
| RUN /bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html # buildkit |
| ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 |
| ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 |
| ENV PHP_LDFLAGS=-Wl,-O1 -pie |
| ENV GPG_KEYS=1198C0117593497A5EC5C199286AF1F9897469DC C28D937575603EB4ABB725861C0779DC5C0A9DE4 AFD8691FDAEDF03BDF6E460563F15A9B715376CA |
| ENV PHP_VERSION=8.3.31 |
| ENV PHP_URL=https://www.php.net/distributions/php-8.3.31.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.3.31.tar.xz.asc |
| ENV PHP_SHA256=66410cee07f4b2baeb0843140bb2a2b52ef930b5cf9b3d6e6d158b33aae8fa37 |
| RUN /bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; apk del --no-network .fetch-deps # buildkit |
| COPY docker-php-source /usr/local/bin/ # buildkit |
| RUN /bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; test "$PHP_INI_DIR" != "${PHP_INI_DIR%/php}"; ./configure --build="$gnuArch" --sysconfdir="${PHP_INI_DIR%/php}" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version # buildkit |
| COPY docker-php-ext-* docker-php-entrypoint /usr/local/bin/ # buildkit |
| RUN /bin/sh -c docker-php-ext-enable opcache # buildkit |
| RUN /bin/sh -c docker-php-ext-enable sodium # buildkit |
| ENTRYPOINT ["docker-php-entrypoint"] |
| WORKDIR /var/www/html |
| RUN /bin/sh -c set -eux; cd "${PHP_INI_DIR%/php}"; cp -v php-fpm.conf.default php-fpm.conf; cp -v php-fpm.d/www.conf.default php-fpm.d/www.conf; grep -E '^listen = 127.0.0.1:9000' php-fpm.d/www.conf; sed -ri 's/^(listen = 127.0.0.1:9000)/;\1/' php-fpm.d/www.conf; grep -E '^;listen = 127.0.0.1:9000' php-fpm.d/www.conf; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; echo; echo '; default listen address for easy override in later php-fpm.d/*.conf files'; echo 'listen = 9000'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '; the [www] ini section below is for backwards compatibility and will be removed in 8.6+'; echo '[www]'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini" # buildkit |
| STOPSIGNAL SIGQUIT |
| EXPOSE map[9000/tcp:{}] |
| CMD ["php-fpm"] |
| RUN /bin/sh -c apk --no-progress --update add --no-cache curl unzip icu-libs libldap libzip freetype libjpeg-turbo libpng libpq caddy supervisor # buildkit |
| ENV PHP_OPCACHE_MEMORY_CONSUMPTION=256 PHP_OPCACHE_MAX_WASTED_PERCENTAGE=10 |
| LABEL org.opencontainers.image.authors=tchap@tchap.me |
| LABEL org.opencontainers.image.url=https://github.com/tchapi/davis/pkgs/container/davis-standalone |
| LABEL org.opencontainers.image.description=A simple, fully translatable admin interface for sabre/dav based on Symfony 7 and Bootstrap 5 (Standalone version with reverse-proxy) |
| COPY /usr/local/etc/php/conf.d /usr/local/etc/php/conf.d/ # buildkit |
| COPY /usr/local/lib/php/extensions /usr/local/lib/php/extensions/ # buildkit |
| COPY --chown=www-data:www-data . /var/www/davis # buildkit |
| WORKDIR /var/www/davis |
| SHELL [/bin/ash -eo pipefail -c] |
| RUN /bin/ash -eo pipefail -c curl -sS https://getcomposer.org/installer | php -- --install-dir=/usr/local/bin --filename=composer # buildkit |
| RUN /bin/ash -eo pipefail -c APP_ENV=prod COMPOSER_ALLOW_SUPERUSER=1 composer install --no-ansi --no-dev --no-interaction --no-progress --prefer-dist --optimize-autoloader && php ./vendor/symfony/intl/Resources/bin/compress # buildkit |
| RUN /bin/ash -eo pipefail -c mkdir -p /var/log/caddy # buildkit |
| COPY ./docker/configurations/Caddyfile /etc/caddy/Caddyfile # buildkit |
| RUN /bin/ash -eo pipefail -c mkdir -p /var/log/supervisor && mkdir -p /var/log/php-fpm # buildkit |
| COPY ./docker/configurations/supervisord.conf /etc/supervisord.conf # buildkit |
| RUN /bin/ash -eo pipefail -c mkdir /var/run/php-fpm && chown -R www-data:www-data /var/run/php-fpm && { echo '[www]'; echo 'listen = /var/run/php-fpm/php-fpm.sock'; } | tee /usr/local/etc/php-fpm.d/zzzz-custom-docker.conf # buildkit |
| RUN /bin/ash -eo pipefail -c mkdir -p ./var/log ./var/cache && chown -R www-data:www-data ./var # buildkit |
| RUN /bin/ash -eo pipefail -c docker-php-source delete && rm -rf /var/www/davis/docker # buildkit |
| CMD ["/usr/bin/supervisord" "-c" "/etc/supervisord.conf"] |
| HEALTHCHECK &{["CMD-SHELL" "curl --fail http://localhost:9000 || exit 1"] "2m0s" "10s" "1m0s" "0s" '\x03'} |
| EXPOSE [9000/tcp] |
Labels
| Key | Value |
|---|---|
| org.opencontainers.image.authors | tchap@tchap.me |
| org.opencontainers.image.description | A simple, fully translatable admin interface for sabre/dav based on Symfony 7 and Bootstrap 5 (Standalone version with reverse-proxy) |
| org.opencontainers.image.url | https://github.com/tchapi/davis/pkgs/container/davis-standalone |